Bug 147561 - g++: Internal error: Segmentation fault (program cc1plus)
g++: Internal error: Segmentation fault (program cc1plus)
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-02-09 04:28 EST by Ambey Govenkar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-28 11:56:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ambey Govenkar 2005-02-09 04:28:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
The g++ compiler crashes, with segmentation fault, while compiling c++
source file. Doesn't crash while compiling C source file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.compile a C++ file, on command line:
   g++ -g -Wall -c source_file.cpp

Actual Results:  g++ crashed with segmentation fault

Expected Results:  To compile the source file, or to give syntax errors.

Additional info:

Crashed consistently with some source files, but didn't crashed for
some other files.
Comment 1 Jakub Jelinek 2005-02-09 05:55:56 EST
gcc-c++-3.3.3-7 is not FC3 compiler, but FC2 one.
You have not provided a testcase (usually the compiler driver preprocesses
the source and tells you where it is) nor the error messages it printed, so there
is nothing to do about it.  But unless it is reproduceable with FC3 compiler,
(3.4.[23]-RH), it will be either closed as CURRENTRELEASE or moved upstream,
as the compilers that we are maintaining long term are just GCC 3.2.3-RH and
GCC 3.4.3-RH (plus CVS HEAD) and FC2 is close to its EOL.
Comment 2 Jakub Jelinek 2005-02-28 11:56:45 EST
If you have details, please reopen.

Note You need to log in before you can comment on or make changes to this bug.